Package it.ernytech.tdlib

## Class TdApi.UpdateMessageSendSucceeded

- java.lang.Object
- - it.ernytech.tdlib.TdApi.Object
  - - it.ernytech.tdlib.TdApi.Update
    - - it.ernytech.tdlib.TdApi.UpdateMessageSendSucceeded

Enclosing class:
  TdApi

    public static class TdApi.UpdateMessageSendSucceeded
    extends TdApi.Update

A message has been successfully sent.

### Field Summary

Fields
`static int` `CONSTRUCTOR` Identifier uniquely determining type of the object.
`TdApi.Message` `message` Information about the sent message.
`long` `oldMessageId` The previous temporary message identifier.

### Constructor Summary

Constructors
`UpdateMessageSendSucceeded()` Default constructor.
`UpdateMessageSendSucceeded​(TdApi.Message message, long oldMessageId)` Constructor for initialization of all fields.

### Method Summary

All Methods Instance Methods Concrete Methods
`int` `getConstructor()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Methods inherited from class it.ernytech.tdlib.TdApi.Object

`toString`

### Field Detail

#### message

    public TdApi.Message message

Information about the sent message. Usually only the message identifier, date, and content are changed, but almost all other fields can also change.

#### oldMessageId

    public long oldMessageId

The previous temporary message identifier.

#### CONSTRUCTOR

    public static final int CONSTRUCTOR

Identifier uniquely determining type of the object.

See Also:
  Constant Field Values

### Constructor Detail

#### UpdateMessageSendSucceeded

    public UpdateMessageSendSucceeded()

Default constructor.

#### UpdateMessageSendSucceeded

    public UpdateMessageSendSucceeded​(TdApi.Message message,
                                      long oldMessageId)

Constructor for initialization of all fields.

Parameters:
  `message` - Information about the sent message. Usually only the message identifier, date, and content are changed, but almost all other fields can also change.
  `oldMessageId` - The previous temporary message identifier.

### Method Detail

#### getConstructor

    public int getConstructor()

Specified by:
  `getConstructor` in class `TdApi.Object`
Returns:
  this.CONSTRUCTOR